Topic: RJS error in rails 1.2.3 + mozilla 4 and above

Hi,

In my application I used in admin module to expand and collpase functionality  using ajax(link_to_remote) method. It's working fine in mozilla 3 and below version..

But when I using in mozilla 4 expand functinality was working fine but collapse are not work, it's just 'wrinkls'. 

My code is like below
<tr id="<%= content_element_id %>">
<%= link_to_collapse(:school, content_element_id, icon_for_backend_collapse) %>
<%= link_to_expand(:school, content_element_id, icon_for_backend_expand) %>

def link_to_expand(model_name, content_element_id, link_text)
    link_to_remote(link_text,
                            :url => {
                                      :controller         => "manage/schools",
                                      :action             => :show,
                                      :id                 => params[:id],
                                      :update             => content_element_id,
                                      :partial            => "/manage/schools/expanded_table_row"
                                    },
                            :alt => 'expand')
  end

def link_to_collapse(model_name, content_element_id, link_text)
    link_to_remote(link_text,
                            :url => {
                                      :controller         => "manage/schools",
                                      :action              => :show,
                                      :id                     => params[:id],
                                      :update            => content_element_id,
                                      :partial             => "/manage/schools/collapsed_table_row"
                                    },
                            :alt => 'collapse')
  end

any help regarding this would be appreciated..

Last edited by sathiya.rails (2011-08-18 02:34:02)

Re: RJS error in rails 1.2.3 + mozilla 4 and above

I was struck up last week.  Still now I am not able to find the solution for this problem. 

link_to_expand working fine. But link_to_collapse not working.. when i click link_to_collapse nothing will happen. Even i used firebug to fine the error. But it seems no error. just receive 200 Ok..

Please any help in this..

Re: RJS error in rails 1.2.3 + mozilla 4 and above

Please any help in this..  Even i used firbug for find the script errors, but it's seem response 200 ok,,
But i get alert message  typeerror  Object(some update div id) is null


Thanks and regards,
sathiya.rails